<?php
/*
	DevSaver Web Framework
	Copyright (c) 2013-2016 DevSaver. 
	All rights reserved.
		web:  www.devsaver.com
		mail: support@devsaver.com		
*/

// dependencies

/**
* description
*
* @library	
* @author	
* @since	
*/
class CTimeline extends CPlugin{
	
	var $tplvars; 

	/**
	* description
	*
	* @var type
	*
	* @access type
	*/
	var $media = array(
		"hide"	=> array(
			"list"	=> array(
				array("item_show"),
			),
			"edit"	=> array(
				array("item_show"),
			)
		),

		"path"	=> "./timeline/",

		"tn"	=> array(
			"width"		=> "720",
			"height"	=> ""
		),

		"tn2"	=> array(
			"width"		=> "720",
			"height"	=> "406"
		)

	);
	

	function __construct() {
		//$this->CPlugin($db, $tables , $templates);
		$this->name = "timeline";
	}

	function DoEvents(){
		global $base, $_CONF, $_TSM , $_VARS , $_USER , $_BASE , $_SESS , $CURMOD;


		if ($_GET["mod"] == $this->name) {
	
			//read the module
			$CURMOD = $this->tpl_module = $this->module->plugins["modules"]->getModuleInfo($_GET["module_id"]);
			$this->plugins["modules"]->ValidateModule($this->tpl_module);

			parent::DoEvents();

			$sub = $_GET["sub"];
			$action = $_GET["action"];

			switch ($sub) {

				case "texts":
					return $this->__adminTexts();
				break;


				case "landing":
				case "items":
					$data = new CSQLAdmin("items", $this->__parent_templates,$this->db,$this->tables,$extra);
					$data->setAclMod($this->tpl_module);
					$this->PrepareFields($data->forms["forms"]);
					return $data->DoEvents();
				break;

			}
		}
	}

	function adminGetWidgets($module) {
		return $widgets;
	}


	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/
	function onDelete($module_data) {

		$tables  = array(
			"plugin:timeline_items" , 
			"plugin:timeline_items_lang",
		);

		foreach ($tables as $key => $val) {
			$this->db->Query(
				"DELETE FROM " . $this->tables[$val] . " WHERE module_id={$module_data[mod_id]}"
			);
		}

		parent::onDelete($module_data);	
	}


	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/
	function onCreate($module_data) {

		$this->CreatePageTitleBlock(array(
			"module_id"	=> $module_data["mod_id"],
			"title"		=> $module_data["mod_name"],
			"subtitle"	=> "You can edit this section in the Module Head tab",
			"show"		=> 1,
		));
	}
	
}

?>